<?php

declare(strict_types=1);

namespace App\Framework\Database\Schema\Commands;

use App\Framework\Database\ValueObjects\TableName;

final class RenameTableCommand
{
    public readonly TableName $from;

    public readonly TableName $to;

    public function __construct(string|TableName $from, string|TableName $to)
    {
        $this->from = $from instanceof TableName ? $from : TableName::fromString($from);
        $this->to = $to instanceof TableName ? $to : TableName::fromString($to);
    }
}
